# Source code for azure.mgmt.web.models.certificate_order_certificate

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from .resource import Resource

    class CertificateOrderCertificate(Resource):
        """Class representing the Key Vault container for certificate purchased
        through Azure.

        :param id: Resource Id
        :type id: str
        :param name: Resource Name
        :type name: str
        :param kind: Kind of resource
        :type kind: str
        :param location: Resource Location
        :type location: str
        :param type: Resource type
        :type type: str
        :param tags: Resource tags
        :type tags: dict
        :param key_vault_id: Key Vault Csm resource Id
        :type key_vault_id: str
        :param key_vault_secret_name: Key Vault secret name
        :type key_vault_secret_name: str
        :param provisioning_state: Status of the Key Vault secret. Possible
         values include: 'Initialized', 'WaitingOnCertificateOrder', 'Succeeded',
         'CertificateOrderFailed', 'OperationNotPermittedOnKeyVault',
         'AzureServiceUnauthorizedToAccessKeyVault', 'KeyVaultDoesNotExist',
         'KeyVaultSecretDoesNotExist', 'UnknownError', 'Unknown'
        :type provisioning_state: str or :class:`KeyVaultSecretStatus
         <azure.mgmt.web.models.KeyVaultSecretStatus>`
        """

        _validation = {
            'location': {'required': True},
        }

        _attribute_map = {
            'id': {'key': 'id', 'type': 'str'},
            'name': {'key': 'name', 'type': 'str'},
            'kind': {'key': 'kind', 'type': 'str'},
            'location': {'key': 'location', 'type': 'str'},
            'type': {'key': 'type', 'type': 'str'},
            'tags': {'key': 'tags', 'type': '{str}'},
            'key_vault_id': {'key': 'properties.keyVaultId', 'type': 'str'},
            'key_vault_secret_name': {'key': 'properties.keyVaultSecretName', 'type': 'str'},
            'provisioning_state': {'key': 'properties.provisioningState', 'type': 'KeyVaultSecretStatus'},
        }

        def __init__(self, location, id=None, name=None, kind=None, type=None, tags=None, key_vault_id=None, key_vault_secret_name=None, provisioning_state=None):
            super(CertificateOrderCertificate, self).__init__(id=id, name=name, kind=kind, location=location, type=type, tags=tags)
            self.key_vault_id = key_vault_id
            self.key_vault_secret_name = key_vault_secret_name
            self.provisioning_state = provisioning_state